#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define	major		24
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel 1

Name:		kwave
Epoch:		1
Version: 24.07.90
Release: 	%mkrel %{rel}
Summary:	A sound editor for Plasma 5
Group:  	Sound/Editors and Converters
License:	GPLv2+
URL:		https://apps.kde.org/kwave/
Source0: 	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros

BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Test)

BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5WidgetsAddons)

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	libid3-devel
BuildRequires:	imagemagick
BuildRequires:	librsvg

Recommends:	%{name}-handbook


%description
Kwave is a sound editor designed for the Plasma 5 Desktop Environment.

With Kwave you can edit many sorts of wav-files including multi-channel
files. You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development) to
transform the wave-file in several ways and presents a graphical view
with a complete zoom- and scroll capability.

%files -f %name.lang
%doc AUTHORS CHANGES README TODO
%license LICENSES
%{_kf5_bindir}/%{name}
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/%{name}/
%{_qt5_plugindir}/%{name}/

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Libraries needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package	handbook
Summary:	Kwave Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description	handbook
This package provides Kwave handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 -DWITH_MP3=ON

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2085186
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073308
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069954
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058701
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045239
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037738
- New version 24.01.95

* Thu Jan 25 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2034660
- New version 24.01.90
- New version 24.01.85

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989681
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958698
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946569
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941862
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922984
- New version 22.12.0

* Tue Nov 29 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1912764
- New version 22.11.90

* Sun Nov 20 2022 wally <wally> 1:22.08.3-2.mga9
+ Revision: 1909267
- rebuild for flac 1.4.2

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905329
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886847
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880833
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873146
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1854036
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1850891
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 1:21.12.0-2.mga9
+ Revision: 1846113
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763928
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724139
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718804
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698627
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694150
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655678
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644060
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633876
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627119
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614987
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604183
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596921
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584567
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568852
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559386
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540250
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513363
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1467014
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457963
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446471
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425054
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390509
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1388671
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382989
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375717
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365632
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356569
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339574
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332803
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327457
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298690
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1240291
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201953
- New version 17.12.2

* Sat Feb 03 2018 daviddavid <daviddavid> 1:17.12.1-2.mga7
+ Revision: 1198745
- add BR librsvg to fix build

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194975
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186517
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143108
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136847
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 1:17.04.3-3.mga7
+ Revision: 1133597
- Fix for new find_lang
+ neoclust <neoclust>
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1131945
- New version 17.04.3

* Sun Mar 12 2017 daviddavid <daviddavid> 1:16.12.3-2.mga6
+ Revision: 1092097
- add missing epoch

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090138
- New version 16.12.3
+ daviddavid <daviddavid>
- New version 16.12.2 (says hello kwave! now part of the kde apps stack)
- update URL and Source URL
- translations are now provided by kde-l10n package

* Sat Aug 06 2016 daviddavid <daviddavid> 1:0.9.2-1.mga6
+ Revision: 1044772
- new version: 0.9.2
- add subpackage kwave-handbook

* Sat Jun 18 2016 luigiwalser <luigiwalser> 1:0.9.1-2.mga6
+ Revision: 1022615
- rebuild with fix libmad

* Mon Jun 06 2016 daviddavid <daviddavid> 1:0.9.1-1.mga6
+ Revision: 1020405
- new version: 0.9.1
- port to Qt5/Kf5
- update description and summary

* Mon Feb 08 2016 umeabot <umeabot> 1:0.8.12-4.mga6
+ Revision: 943099
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.8.12-3.mga5
+ Revision: 749270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.8.12-2.mga5
+ Revision: 681247
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 fwang <fwang> 1:0.8.12-1.mga5
+ Revision: 667265
- 0.8.12

* Sat Oct 19 2013 umeabot <umeabot> 1:0.8.10-3.mga4
+ Revision: 530158
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 1:0.8.10-2.mga4
+ Revision: 456322
- update br

* Fri May 24 2013 fwang <fwang> 1:0.8.10-1.mga4
+ Revision: 425863
- br opus devel
- new version 0.8.10

* Sat Jan 12 2013 umeabot <umeabot> 1:0.8.8-3.mga3
+ Revision: 356588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1:0.8.8-2.mga3
+ Revision: 307472
- update rpm group

* Mon May 28 2012 fwang <fwang> 1:0.8.8-1.mga3
+ Revision: 247775
- update file list
- new version 0.8.8

* Thu Jan 12 2012 fwang <fwang> 1:0.8.7-3.mga2
+ Revision: 195274
- rebuild for new audiofile

* Sat Dec 10 2011 eatdirt <eatdirt> 1:0.8.7-2.mga2
+ Revision: 180303
- Rebuilt for fftw-3.3

* Sat Dec 03 2011 fwang <fwang> 1:0.8.7-1.mga2
+ Revision: 175423
- imported package kwave

